Endpoints / get-contract-score

Get the latest signal for a contract

GET/api/v1/contracts/{id}/scoredeveloperread

Returns the most recent signal for the contract under the given engine. Includes per-rule rationale on Intelligence-tier and above.

Path parameters

NameTypeRequiredDescription
idstringnoContract id

Query parameters

NameTypeRequiredDescription
enginestringnoEngine name

Examples

curl -H "x-api-key: $INTELLIGENCE_API_KEY" \
  "https://intelligence-beryl.vercel.app/api/v1/contracts/:id/score?engine=simple"

Responses

200Signal
json
{
  "signal": {
    "id": "8e728629-a546-436d-b483-a7dfb47f0c90",
    "contract_id": "CONT_AWD_N0001925C0070_9700_-NONE-_-NONE-",
    "engine_name": "simple",
    "engine_version": "0.1.0",
    "engine_tier": "simple",
    "signal_score": 67,
    "importance_score": 91,
    "confidence_score": 100,
    "risk_score": 21,
    "computed_at": "2026-05-12T13:56:18.123Z"
  }
}
404No signal for this engine on this contract